Creates a new unavailability

Request Information

URI Parameters :

None.

Body Parameters :

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Request Formats :

application/json, text/json

Sample:
{
  "id": "27331b86-fbb2-470b-8b0b-eb81ff280976",
  "date_start": "2026-11-04T20:33:06.6998046+00:00",
  "date_end": "2026-11-04T20:33:06.6998046+00:00",
  "modified_dateutc": "2026-11-04T20:33:06.6998046+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "ac207b5c-cb23-408a-9002-a9904bfde24b",
  "user_code": "sample string 8",
  "user": {
    "id": "7255cb09-af70-495b-a1de-a5c1eaeb060a",
    "db_language_id": "47bd40b3-0ac8-46e6-9c98-986ca4743ce2",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-04T20:33:06.6998046+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "91034c10-16ea-45be-ad64-ad87fe1d1828",
    "sales_organization": {
      "id": "71e7b593-d1db-4a7b-b192-919e1cd037ba",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "64dc4ad7-854f-45be-b1e5-99c952acdab2",
      "db_currency_id": "c781e0c1-3b0b-45cb-ac62-0dba9f27990c",
      "db_language_id": "8a7d5435-d1f4-4688-9fba-5ce73d7a1362",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-04T20:33:06.6998046+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "b6a7f626-201f-42e1-a358-93c1665fec07",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "45a14559-0a1b-4ddc-a83f-e60c730e7881",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-04T20:33:06.6998046+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "afeff032-ce86-4b13-baa4-e8fa530cf538"
  },
  "user_unavailability_type_id": "19f255bd-6655-4dfa-87c3-a535d7665d13",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "9f462d15-5a8a-4140-88ff-aa36a178ef41",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "57bce36b-9c3e-46b8-b653-5e1938749edc",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "71e7b593-d1db-4a7b-b192-919e1cd037ba",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "64dc4ad7-854f-45be-b1e5-99c952acdab2",
      "db_currency_id": "c781e0c1-3b0b-45cb-ac62-0dba9f27990c",
      "db_language_id": "8a7d5435-d1f4-4688-9fba-5ce73d7a1362",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-04T20:33:06.6998046+00:00"
    },
    "modified_dateutc": "2026-11-04T20:33:06.6998046+00:00"
  }
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.